package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import cn.estsh.i3plus.pojo.mes.bean.MesDefectType;
import cn.estsh.i3plus.pojo.mes.bean.MesPartSap;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspection;
import cn.estsh.i3plus.pojo.mes.bean.nc.MesPartInspectionDetail;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2024-05-09 18:08
 * @Modify:
 **/
@Data
public class  MesNcProcessingInputModel {

    @ApiParam("类型")
    private Integer type;

    @ApiParam("条码")
    private String sn;

    @ApiParam("客户条码")
    private String custSn;

    @ApiParam("责任人")
    private String onlyPerson;

    @ApiParam("责任人")
    private MesDefectType person;

    @ApiParam("区域代码")
    private String inventoryLocationCode;

    @ApiParam("物料")
    private MesPartSap part;

    @ApiParam("版本号")
    private String productVersion;

    @ApiParam
    private String organizeCode;

    @ApiParam("NC-零件检测详情")
    private List<MesPartInspectionDetail> partInspectionDetailList;

    @ApiParam("NC-零件检测-单据")
    private MesPartInspection partInspection;

    @ApiModelProperty("操作人")
    private String userName;
}
